
<template>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">All To do Tasks
                    <span class="pull-right">
                      <a class="btn btn-success" data-toggle="modal"  href="#addmodal">+</a> 
                      <!--   <button class="btn btn-primary" data-toggle="modal" data-target="#addmodal">+</button> -->
                    </span>
                    </div>
                    <div class="card-body">
                        <ul class="list-group">
                            <li class="list-group-item" v-for="t in tasks.data">
                             {{ t.id  }} - {{ t.name  }}
                             <span class="pull-right"><a class="btn btn-info" data-toggle="modal" data-target="#editmodal">edit</a> &emsp; 
                             <button class="btn btn-info" @click="delRecord(t.id)" >Delete</button> &emsp; <a class="btn btn-info">Preview</a>  </span>
                            </li>
                        </ul>
                        <pagination :data="tasks" @pagination-change-page="getResults"></pagination>
                    </div>
                    <div class="card-footer">
                    </div>
                </div>
            </div>
            <div id="modal">
                <addtask @recordadded="RefereshRecord"></addtask>
            </div>
        </div>
    </div>
</template>

<script>
Vue.component('pagination', require('laravel-vue-pagination'));
Vue.component('addtask', require('./addModelComponents.vue').default);
 export default{
    data(){
       return{
          tasks:{},
          record:{},
          
       } 
    },
    methods:{
           // Our method to GET results from a Laravel endpoint
          getResults(page) {
           if(typeof page === 'undefined') {
              page = 1;
           }
           // Using vue-resource as an example 
            axios.get('http://localhost:8000/tasks?page=' + page)
              .then(response => {
                this.tasks = response.data;
        });
    },
    RefereshRecord(record){
       this.tasks = record.data
    },
           
    },
    created(){
       axios.get('http://localhost:8000/tasks')
       .then((response) =>  this.tasks = response.data)
       .catch((error) => console.log(error));
       console.log("Tasks Component Loaded ...");
    }
 }
</script>




<style scoped></style>















